For the complete documentation index, see llms.txt. This page is also available as Markdown.

Mailbox

Get

get

Retrieves Parallels RAS mailbox settings.

Responses
200

Success

application/json; api-version=1.0

RAS Mailbox

useTLSstring · enumOptional

Use TLS / SSL (for Mailbox)

Possible values:
requireAuthbooleanOptional
smtpServerstring · nullableOptional
senderAddressstring · nullableOptional
usernamestring · nullableOptional
get/api/MailboxSettings
GET /api/MailboxSettings HTTP/1.1
Accept: */*
{
  "useTLS": [
    "0 = No",
    "1 = Yes",
    "2 = YesIfAvailable",
    "3 = YesTLS12IfAvailable",
    "4 = YesTLS13IfAvailable"
  ],
  "requireAuth": true,
  "smtpServer": "text",
  "senderAddress": "text",
  "username": "text"
}

Update

put

Modifies Parallels RAS mailbox settings.

Body
smtpServerstring · max: 255 · nullableOptional

SMTP server name. Example: "mail.yourcompany.com:500"

senderAddressstring · nullableOptional

Sender email address.

usernamestring · max: 255 · nullableOptional

SMTP server user name.

passwordstring · nullableOptional

SMTP server password.

requireAuthboolean · nullableOptional

Set whether SMTP server requires authentication.

useTLSstring · enumOptional

Use TLS / SSL (for Mailbox)

Possible values:
Responses
204

No Content

No content

put/api/MailboxSettings
PUT /api/MailboxSettings HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 202

{
  "smtpServer": "text",
  "senderAddress": "text",
  "username": "text",
  "password": "text",
  "requireAuth": true,
  "useTLS": [
    "0 = No",
    "1 = Yes",
    "2 = YesIfAvailable",
    "3 = YesTLS12IfAvailable",
    "4 = YesTLS13IfAvailable"
  ]
}

No content

Last updated